Subject: Re: Problems installing as root

From: walt <[email-masked]>
Date: Sun, 25 Feb 2007 07:42:48 -0800

Shawn O. Pearce wrote:
> walt <[email-masked]> wrote:
>> First, 'make install' as root leaves dozens of files owned by root
>> in my personal source directory.

> Which files, specifically? ...

~/src/git $find . -user 0
./git-fsck-objects
./git-archive
./git-cherry
./git-whatchanged
./git-annotate
./git-status
./git-merge-octopus
./git-show
./git-update-index
./git-format-patch
./git-quiltimport
./git-verify-pack
./git-rev-list
./git-cvsserver
./git-runstatus
./git-pull
./git-merge-file
./git-log
./git-repack
./git-mailinfo
./git-rm
./git-applypatch
./git-parse-remote
./git-reset
./git-mailsplit
./git-for-each-ref
./git-svnimport
./git-grep
./git-write-tree
./git-ls-files
./git-add--interactive
./git-verify-tag
./git-prune
./git-diff
./git-rebase
./git-branch
./git-check-ref-format
./git-push
./git-cat-file
./git-prune-packed
./git-merge-stupid
./git-mv
./git-merge-ours
./git-add
./git-name-rev
./git-merge-base
./git-read-tree
./git-commit-tree
./git-ls-remote
./git-tag
./git-init
./git-init-db
./git-rev-parse
./git-pack-refs
./git
./git-show-branch
./git-commit
./git-get-tar-commit-id
./git-fsck
./git-reflog
./git-applymbox
./git-merge
./git-cherry-pick
./git-diff-files
./git-fetch
./git-fmt-merge-msg
./git-blame
./git-tar-tree
./git-request-pull
./git-archimport
./git-count-objects
./git-cvsexportcommit
./git-show-ref
./git-shortlog
./git-merge-resolve
./git-checkout-index
./git-gc
./git-am
./git-diff-index
./git-revert
./git-clean
./git-stripspace
./git-ls-tree
./git-unpack-objects
./git-checkout
./git-pack-objects
./git-merge-one-file
./git-lost-found
./git-svn
./git-remote
./git-update-ref
./git-apply
./git-repo-config
./git-symbolic-ref
./git-diff-tree
./git-upload-archive
./git-sh-setup
./git-send-email
./git-rerere
./git-config
./git-relink
./git-clone
./git-describe
./git-bisect
./git-cvsimport

>> Second, this is a more recent problem with 'make install':
>> make -C git-gui all
>> make[1]: Entering directory `/usr/local/mnt/wa1ter/src/git/git-gui'
>> GITGUI_VERSION = 0.6.GITGUI

> Hmm.  You can't get the right version number for git-gui.  Do you
> have tags fetched?

Oops.  I stupidly forgot to tell you the reason for the failure
when running the script as root:  /usr/local is not in root's path,
and thus /usr/local/bin/git-* can't be found.  Since the script
assumes that git is already installed and working, I would guess
that it would also fail if I had just fetched Junio's repository
for the first time and attempted an initial install.

Sorry for that important omission :o(